Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class ConstraintUpdateManager

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.AbstractUpdateManager
          org.apache.openjpa.jdbc.kernel.ConstraintUpdateManager

All Implemented Interfaces:
  UpdateManager, Configurable

Direct Known Subclasses:
  BatchingConstraintUpdateManager

    public class ConstraintUpdateManager

extends AbstractUpdateManager

Standard update manager, capable of foreign key constraint evaluation.

Since:
  1.0.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.kernel.AbstractUpdateManager
`AbstractUpdateManager.CustomMapping`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.kernel.AbstractUpdateManager
`conf, dict`

Constructor Summary
`ConstraintUpdateManager()`

Method Summary
`protected void` | `flush(Collection deleteUpdates, Collection nodes, PreparedStatementManager psMgr)`
`protected void` | `flush(Collection rows, PreparedStatementManager psMgr)` Flush the given collection of secondary rows.
`protected Collection` | `flush(RowManager rowMgr, PreparedStatementManager psMgr, Collection exceps)` Flush all rows of the given row manager.
`protected void` | `flushGraph(Graph graph, PreparedStatementManager psMgr, boolean autoAssign)` Flush the given graph of rows in the proper order.
`protected DepthFirstAnalysis` | `newDepthFirstAnalysis(Graph graph, boolean autoAssign)` Create a new `DepthFirstAnalysis` suitable for the given graph and auto-assign settings.
`protected PreparedStatementManager` | `newPreparedStatementManager(JDBCStore store, Connection conn)` Return a new `PreparedStatementManager`.
`protected RowManager` | `newRowManager()` Return a new `RowManager`.
`boolean` | `orderDirty()` Whether the store context should maintain the order in which instances are dirtied.

Methods inherited from class org.apache.openjpa.jdbc.kernel.AbstractUpdateManager
`addException, delete, endConfiguration, flush, flush, insert, populateRowManager, setConfiguration, startConfiguration, update, updateIndicators`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintUpdateManager

    public ConstraintUpdateManager()

Method Detail

### orderDirty

    public boolean orderDirty()

  Description copied from interface: `UpdateManager`
  Whether the store context should maintain the order in which instances are dirtied.

### newPreparedStatementManager

    protected PreparedStatementManager newPreparedStatementManager(JDBCStore store,
                                                                   Connection conn)

  Description copied from class: `AbstractUpdateManager`
  Return a new `PreparedStatementManager`.

  Specified by:
    `newPreparedStatementManager` in class `AbstractUpdateManager`

### newRowManager

    protected RowManager newRowManager()

  Description copied from class: `AbstractUpdateManager`
  Return a new `RowManager`.

  Specified by:
    `newRowManager` in class `AbstractUpdateManager`

### flush

    protected Collection flush(RowManager rowMgr,
                               PreparedStatementManager psMgr,
                               Collection exceps)

  Description copied from class: `AbstractUpdateManager`
  Flush all rows of the given row manager. Add exceptions to `exceps` (which may start as null) using `AbstractUpdateManager.addException(java.util.Collection, java.lang.Exception)`. Return `exceps`.

  Specified by:
    `flush` in class `AbstractUpdateManager`

### flushGraph

    protected void flushGraph(Graph graph,
                              PreparedStatementManager psMgr,
                              boolean autoAssign)
                       throws SQLException

  Flush the given graph of rows in the proper order.

  Parameters:
    `graph` - The graph of statements to be walked
    `psMgr` - The prepared statement manager to use to issue the statements
    `autoAssign` - Whether any of the rows in the graph have any auto-assign constraints
  Throws:
    `SQLException`

### flush

    protected void flush(Collection deleteUpdates,
                         Collection nodes,
                         PreparedStatementManager psMgr)

### newDepthFirstAnalysis

    protected DepthFirstAnalysis newDepthFirstAnalysis(Graph graph,
                                                       boolean autoAssign)

  Create a new `DepthFirstAnalysis` suitable for the given graph and auto-assign settings.

### flush

    protected void flush(Collection rows,
                         PreparedStatementManager psMgr)

  Flush the given collection of secondary rows.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.